W1_RESET_SELECT_SLAV(9)

NAME
w1_reset_select_slave - reset and select a slave

SYNOPSIS

int w1_reset_select_slave(struct w1_slave * sl);

ARGUMENTS

sl
    the slave to select

DESCRIPTION

Resets the bus and then selects the slave by sending either a skip rom or a rom match. A skip rom is issued if there is only one device registered on the bus. The w1 master lock must be held.

RETURN

0=success, anything else=error

AUTHOR

David Fries <David@Fries.net>
    Author.

COPYRIGHT